%Farklı frekanslarda giriş işareti oluşturma
Ts = 10e-6; % örnekleme periyodu 10 us,fs=100KHz
fNy = 1 / Ts / 2; % Nyquist frekansı
ns = 1000; % dizideki örnek sayısı
nf = 10; % dizide kaç farklı frekansta işaret olacağı
for i = 1:ns
    freq(i) = (fNy/ns) * round(i/ns*nf)*ns/nf; % örneklerin frekansı
end
for i = 1:ns
S(i) = cos(2*pi*freq(i)*Ts*i);
end
QS = num2hex(q, S );

%oluşturulan giriş işaretinin frekans spektrumu
S2 = hex2num(q, QS );
figure;
subplot(2,1,1);plot(S2)
spec = abs(fft(S2));
subplot(2,1,2);plot([0:100:50e3-100],spec(1:ns/2));

%giriş işaretini text dosyasına kaydet.
dosya = fopen('giris_data.txt','w');
for i = 1:ns
fprintf(dosya, '%s\n', QS(i,:));
end
fclose(dosya);

